Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 684814

Summary: sci-mathematics/pari-2.9.4-r1 - QA Notice: The following shared libraries lack a SONAME: /usr/lib/libpari.so.2.9.4
Product: Gentoo Linux Reporter: Jeroen Roovers (RETIRED) <jer>
Component: Current packagesAssignee: Gentoo Science Mathematics related packages <sci-mathematics>
Status: RESOLVED FIXED    
Severity: normal CC: frp.bissey, hppa, mjo
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: sci-mathematics:pari-2.9.4-r1:20190430-090529.log
build.log

Description Jeroen Roovers (RETIRED) gentoo-dev 2019-04-30 15:01:23 UTC
Created attachment 574836 [details]
sci-mathematics:pari-2.9.4-r1:20190430-090529.log

>>> Completed installing pari-2.9.4-r1 into /var/tmp/portage/sci-mathematics/pari-2.9.4-r1/image/

 * Final size of build directory: 105264 KiB (102.7 MiB)
 * Final size of installed tree:   37472 KiB ( 36.5 MiB)


 * QA Notice: The following shared libraries lack a SONAME
 * /usr/lib/libpari.so.2.9.4

strip: hppa2.0-unknown-linux-gnu-strip --strip-unneeded -R .comment -R .GCC.command.line -R .note.gnu.gold-version
   usr/lib/libpari.so.2.9.4
   usr/bin/gp-2.9
Comment 1 Michael Orlitzky gentoo-dev 2019-12-28 15:51:07 UTC
Can you please check that this still affects the v2.11.2 that I just committed? (It probably does).

We have a very suspicious line in the ebuild,

  use hppa && \
    mymake=DLLD\="${EPREFIX}"/usr/bin/gcc\ DLLDFLAGS\=-shared\ -Wl, soname=\$\(LIBPARI_SONAME\)\ -lm

that might even be causing this problem. Does the build succeed for you on hppa without that line? Does deleting the line fix the soname issue?
Comment 2 Michael Orlitzky gentoo-dev 2021-07-17 21:07:49 UTC
Can anyone from hppa@ check this?
Comment 3 Michael Orlitzky gentoo-dev 2022-06-01 20:14:50 UTC
Would love to help but need help helping.
Comment 4 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-03 21:42:03 UTC
Interestingly, I don't even see the message at all now.
Comment 5 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-03 21:42:09 UTC
Created attachment 782612 [details]
build.log
Comment 6 Michael Orlitzky gentoo-dev 2022-06-03 22:24:15 UTC
It is possible that the underlying problem was fixed upstream in the meantime. I always suspected the

  use hppa && \
        mymake...

line, but it was just a guess. (Is it still needed?)
Comment 7 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-03 22:34:44 UTC
(In reply to Michael Orlitzky from comment #6)
> It is possible that the underlying problem was fixed upstream in the
> meantime. I always suspected the
> 
>   use hppa && \
>         mymake...
> 
> line, but it was just a guess. (Is it still needed?)

Trying.

While we wait:
- https://github.com/gentoo/gentoo-historical-2/commit/10663e580016203a42e5815d74048c9dc866b249 ????
- https://github.com/gentoo/gentoo-historical-2/commit/eb7905e41ed0043c06e31b7795a106bb3c8ce30a
- https://github.com/gentoo/gentoo-historical-2/commit/18117ff9e466f9d9a11b21c9eb96d46076d72862
Comment 8 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-03 22:37:50 UTC
I lack the patience to look further but I'm guessing this got restored accidentally tbh (copied from wrong ebuild as a base by somebody at some point)?
Comment 9 Michael Orlitzky gentoo-dev 2022-06-03 22:44:05 UTC
(In reply to Sam James from comment #8)
> I lack the patience to look further but I'm guessing this got restored
> accidentally tbh (copied from wrong ebuild as a base by somebody at some
> point)?

As good a guess as any. It's certainly not *correct*, so if the build succeeds without it I'll ditch it in an -r1.
Comment 10 Fran├žois Bissey 2022-06-03 23:17:26 UTC
(In reply to Sam James from comment #8)
> I lack the patience to look further but I'm guessing this got restored
> accidentally tbh (copied from wrong ebuild as a base by somebody at some
> point)?

Quite possibly me. I may have copied the hppa stuff from the pari 2.3 ebuild before it was removed, while sage was using pari-2.4 - one of these development "release". I may not have noticed when it was dropped from the main tree.
Comment 11 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-04 00:09:29 UTC
Don't worry about it, it happens :)

Yes, we're all good. Built fine w/ the line dropped.
Comment 12 Larry the Git Cow gentoo-dev 2022-06-07 14:43:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1d77480299ec0900a8602adbb8469c22132c84c

commit d1d77480299ec0900a8602adbb8469c22132c84c
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2022-06-04 13:03:59 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2022-06-07 14:40:53 +0000

    sci-mathematics/pari: remove obsolete hppa workaround in an -r1.
    
    Bug: https://bugs.gentoo.org/684814
    Package-Manager: Portage-3.0.30, Repoman-3.0.3
    Signed-off-by: Michael Orlitzky <mjo@gentoo.org>

 sci-mathematics/pari/pari-2.13.4-r1.ebuild | 117 +++++++++++++++++++++++++++++
 1 file changed, 117 insertions(+)
Comment 13 Michael Orlitzky gentoo-dev 2022-06-07 14:44:30 UTC
Thanks sam, marking fixed. The line will phase out soon enough.